Package org.springframework.security.web.server.context

# Interface ServerSecurityContextRepository

All Known Implementing Classes:
  `NoOpServerSecurityContextRepository`, `WebSessionServerSecurityContextRepository`

public interface ServerSecurityContextRepository
Strategy used for persisting a `SecurityContext` between requests.

Since:
  5.0
See Also:
  - `ReactorContextWebFilter`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.context.SecurityContext>`
`load(org.springframework.web.server.ServerWebExchange exchange)`
Loads the SecurityContext associated with the `ServerWebExchange`
`reactor.core.publisher.Mono<Void>`
`save(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.context.SecurityContext context)`
Saves the SecurityContext

## Method Details

### save

reactor.core.publisher.Mono<Void> save(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.context.SecurityContext context)
Saves the SecurityContext

Parameters:
  `exchange` - the exchange to associate to the SecurityContext
  `context` - the SecurityContext to save
Returns:
  a completion notification (success or error)

### load

reactor.core.publisher.Mono<org.springframework.security.core.context.SecurityContext> load(org.springframework.web.server.ServerWebExchange exchange)
Loads the SecurityContext associated with the `ServerWebExchange`

Parameters:
  `exchange` - the exchange to look up the `SecurityContext`
Returns:
  the `SecurityContext` to lookup or empty if not found. Never null